Skip to main content
GET
/
v1.1
/
pix-automatic
/
scheduled-payments
List scheduled payments
curl --request GET \
  --url https://api.paymee.com.br/v1.1/pix-automatic/scheduled-payments \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-api-token: <x-api-token>'
import requests

url = "https://api.paymee.com.br/v1.1/pix-automatic/scheduled-payments"

headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-token': '<x-api-token>'}
};

fetch('https://api.paymee.com.br/v1.1/pix-automatic/scheduled-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 0,
  "message": "success",
  "totalElements": 1,
  "totalPages": 1,
  "resultSize": 1,
  "results": [
    {
      "id": 12,
      "instructionId": "000000000000000000000215832344",
      "status": "CANCELLED",
      "dueDate": "2025-06-19 03:00:00",
      "amount": 11,
      "endToEnd": "E2868389220250619150000215832384",
      "rejectionCode": "SLCR",
      "rejectionReason": "1",
      "creation": "2025-06-16 07:16:45",
      "authorization": {
        "id": 26,
        "idRec": "RR286838922025061604150842631",
        "initialDate": "2025-06-19",
        "finalDate": "2025-12-15",
        "creation": "2025-06-16 07:16:42"
      },
      "sale": {
        "id": 215832384,
        "uuid": "16a5e040-8b55-4dbe-8563-035d2876a766",
        "situation": "CANCELLED"
      }
    }
  ]
}
{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}

Headers

x-api-key
string
required
Example:

"your-x-api-key"

x-api-token
string
required
Example:

"your-x-api-token"

Query Parameters

status
enum<string>

Filter by payment status.

Available options:
PENDING_SCHEDULE,
SCHEDULED,
PAID,
FAILED,
CANCELLED
Example:

"PAID"

initialDueDate
string<date>

Filter by start due date.

Example:

"2025-01-01"

finalDueDate
string<date>

Filter by end due date.

Example:

"2025-12-31"

page
integer
default:0

Page number for the query.

maxPageResults
integer
default:20

Maximum number of results per page.

sortBy
enum<string>
default:creation

Field to sort the results by.

Available options:
dueDate,
creation
order
enum<string>
default:DESC

Sort order.

Available options:
ASC,
DESC

Response

List of scheduled payments returned successfully.

status
integer
message
string
totalElements
integer
totalPages
integer
resultSize
integer
results
object[]